| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_TO_TUPLE

BOOST_VMD_SEQ_TO_TUPLE — converts a seq to a tuple.

## Synopsis

    // In header: <boost/vmd/seq/to_tuple.hpp>

    BOOST_VMD_SEQ_TO_TUPLE(seq)

## Description

seq = seq to be converted.

If the seq is an empty seq it is converted to an empty tuple. Otherwise the seq is converted to a tuple with the same number of elements as the seq.